package com.ffii.fhsmsc.modules.file.req;

import jakarta.validation.constraints.Size;

/** @author Jason Lam */
public class UpdateFileReq {

    private Long id;
    
	@Size(max = 255)
	private String fileName;

    @Size(max = 10)
	private String extension;

    @Size(max = 10)
	private String mimetype;

	private Integer filesize;

    @Size(max = 255)
	private String remarks;

    private byte[] bytes;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getFileName() {
        return this.fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }


    public String getExtension() {
        return this.extension;
    }

    public void setExtension(String extension) {
        this.extension = extension;
    }

    public String getMimetype() {
        return this.mimetype;
    }

    public void setMimetype(String mimetype) {
        this.mimetype = mimetype;
    }

    public Integer getFilesize() {
        return this.filesize;
    }

    public void setFilesize(Integer filesize) {
        this.filesize = filesize;
    }

    public String getRemarks() {
        return this.remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public byte[] getBytes() {
        return this.bytes;
    }

    public void setBytes(byte[] bytes) {
        this.bytes = bytes;
    }

}
